NAME
	array_set_index - get an index from an array

SYNTAX
	#include "array.h"

	void array_set_index(struct array *a,
	                     INT32 ind,
	                     struct svalue *from);

DESCRIPTION
	This function frees the contents of the index 'ind' in the array
	'a' and replaces it with a copy of the contents from 'from'.
	Basically, what it does is:

		assign_svalue(a->item + n, from);

	The only differance is that it adds some debug and safety
	measures. Usually you don't really need to use this function.

NOTA BENE
	If n is out of bounds (n < 0 or n >= a->size) Pike will dump
	core. If Pike was compiled with DEBUG, a message will be written
	first stating what the problem was.

KEYWORDS
	array

SEE ALSO
	assign_svalue
